petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscBagSetFromOptions

Allows setting options from a bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode  PetscBagSetFromOptions(PetscBag bag)

Collective on PetscBag

### Input Parameter

bag -the bag of values

### See Also

PetscBag, PetscBagSetName(), PetscBagDestroy(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagView(), PetscBagRegisterEnum()

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/snes/examples/tutorials/ex7.c.html